mixin menu(spec)
  - spec = spec || {}


  nav.js-menu.menu.row(class=spec.__class)&attributes(attributes)
    a(href='#introduction' ).menu__item--active.page-scroll.offset-md-1.offset-lg-2.col-md-2.col-12.menu__item 
      .menu__text introduction
        .menu__line
    a(href='#rewards' ).page-scroll.col-md-2.col-12.menu__item 
      .menu__text rewards
        .menu__line
    a(href='#works' ).page-scroll.col-md-2.col-12.menu__item 
      .menu__text how it works  
        .menu__line 
    a(href='#magic' ).page-scroll.col-md-2.col-12.menu__item 
      .menu__text magic  
        .menu__line
    a(href='#support' ).page-scroll.col-md-2.col-12.menu__item 
      .menu__text support   
        .menu__line
